# Malackathon-frontend 


> Malackathon CyberBokeron frontend.

![Bulma](https://img.shields.io/badge/Bulma-0.9.4-00D1B2?style=flat-square)
![SolidJS](https://img.shields.io/badge/SolidJS-1.0-blue?style=flat-square)
![License](https://img.shields.io/badge/license-MIT-green)

## **Contents**

- [Description](#description)
- [Features](#features)
- [Requirements](#requirements)
- [Installation](#installation)
- [Usage](#usage)
- [Contributing](#contributing)
- [License](#license)

---

## **Description**

Frontend made using [SolidJS](https://www.solidjs.com/) and [Bulma](https://bulma.io/) as frameworks. 

## **Features**

- ⚡️ Fast thanks to SolidJS
- 🎨 Clear and responsive desing thanks to Bulma
- 📦 Minimal configuration

## **Requirements**
Before proceeding, make sure you have the following installed: 

- [Node.js](https://nodejs.org/) v14 or higher
- [npm](https://www.npmjs.com/) 

## **Installation**

Follow this steps to set up the project locally:

1. Clone the repo:
    ```bash
    git clone https://openbokeron.uma.es/gitea/CyberBokeron/Malackathon-frontend.git
    ```
2. Go to project directory:
    ```bash
    cd Malackathon-frontend
    ```
3. Install dependencies:
    ```bash
    npm install
    ```
## **Usage**

To run server locally:

```bash
npm run dev
```

Go to `http://localhost:8080` in your browser to see the app.

### **Commands**

- `npm run build`: Compile the project
- `npm run dev`: Start development server.
- `npm run format`: Format code using Prettier.
- `npm run lint`: Run linter to keep the code clean.


## **Contributing:**

If you'd like, you can contribute by doing the following steps:

1. Fork the project
2. Create new branch (`git checkout -b feature-nueva-funcionalidad`).
3. Commit changes (`git commit -am 'Añadir nueva funcionalidad'`).
4. Push your branch (`git push origin feature-nueva-funcionalidad`).
5. Open a pull request.

## **License**

This project is licensed under [AGPLv3](LICENSE).

---


